Bug 426763 - grub detects less memory than physical memory
Summary: grub detects less memory than physical memory
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: grub
Version: 8
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Peter Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-12-26 01:58 UTC by Sam walton
Modified: 2009-01-09 05:37 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2009-01-09 05:37:08 UTC


Attachments (Terms of Use)

Description Sam walton 2007-12-26 01:58:34 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1.11) Gecko/20071127 Firefox/2.0.0.11

Description of problem:


Version-Release number of selected component (if applicable):
grub-0.97

How reproducible:
Always


Steps to Reproduce:
1.Boot up with Mem = 'X'G option , use the HIMEM option to 'XXXX'K
2.None of these options see the full physical RAM


Actual Results:
Ram detected is less than physical RAM

Expected Results:
Should have detected the actual RAM

Additional info:
It is a Dell Optiplex GX620 system , flashed to the latest BIOS

Comment 1 JM 2008-02-26 17:17:45 UTC
Maybe the bug is related to this
https://bugzilla.redhat.com/show_bug.cgi?id=250299 bug?

At least the bug #250299 still exists in Fedora 8, because I have the problem
described in bug #250299 with Fedora 8 (x86_64).

Comment 2 Bug Zapper 2008-11-26 09:09:59 UTC
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Vadym Chepkov 2008-12-01 16:44:33 UTC
The problem still exists in Fedora 10. 
memtest from installation DVD detects only 3.2GB out of 4. Same with grub after system is installed. 

The same issue exists on i386 platform.

Comment 4 Bug Zapper 2009-01-09 05:37:08 UTC
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.